org.apache.cassandra.db

## Class BufferDeletedCell

- java.lang.Object
- - org.apache.cassandra.db.AbstractCell
  - - org.apache.cassandra.db.BufferCell
    - - org.apache.cassandra.db.BufferDeletedCell

All Implemented Interfaces:
  Cell, DeletedCell, OnDiskAtom

    public class BufferDeletedCell
    extends BufferCell
    implements DeletedCell

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.OnDiskAtom

`OnDiskAtom.Serializer, OnDiskAtom.SerializerForWriting`

### Field Summary

### Fields inherited from class org.apache.cassandra.db.BufferCell

`name, timestamp, value`

### Fields inherited from interface org.apache.cassandra.db.Cell

`MAX_NAME_LENGTH`

### Constructor Summary

Constructors
Constructor and Description
`BufferDeletedCell(CellName name, java.nio.ByteBuffer value, long timestamp)`
`BufferDeletedCell(CellName name, int localDeletionTime, long timestamp)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getLocalDeletionTime()`
`boolean` `isLive()`
`boolean` `isLive(long now)`
`DeletedCell` `localCopy(CFMetaData metadata, AbstractAllocator allocator)`
`DeletedCell` `localCopy(CFMetaData metadata, MemtableAllocator allocator, OpOrder.Group opGroup)`
`Cell` `reconcile(Cell cell)`
`int` `serializationFlags()`
`void` `updateDigest(java.security.MessageDigest digest)`
`void` `validateFields(CFMetaData metadata)`
`Cell` `withUpdatedName(CellName newName)`
`Cell` `withUpdatedTimestamp(long newTimestamp)`
`Cell` `withUpdatedTimestampAndLocalDeletionTime(long newTimestamp, int newLocalDeletionTime)`

### Methods inherited from class org.apache.cassandra.db.BufferCell

`name, timestamp, unsharedHeapSizeExcludingData, value`

### Methods inherited from class org.apache.cassandra.db.AbstractCell

`cellDataSize, create, diff, diffCounter, equals, equals, getString, hashCode, onDiskIterator, reconcileCounter, serializedSize, validateName`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.db.Cell

`cellDataSize, diff, getString, name, serializedSize, unsharedHeapSizeExcludingData, value`

### Methods inherited from interface org.apache.cassandra.db.OnDiskAtom

`timestamp`

### Constructor Detail

#### BufferDeletedCell

    public BufferDeletedCell(CellName name,
                             int localDeletionTime,
                             long timestamp)

#### BufferDeletedCell

    public BufferDeletedCell(CellName name,
                             java.nio.ByteBuffer value,
                             long timestamp)

### Method Detail

#### withUpdatedName

    public Cell withUpdatedName(CellName newName)

Specified by:
  `withUpdatedName` in interface `Cell`
Overrides:
  `withUpdatedName` in class `BufferCell`

#### withUpdatedTimestamp

    public Cell withUpdatedTimestamp(long newTimestamp)

Specified by:
  `withUpdatedTimestamp` in interface `Cell`
Overrides:
  `withUpdatedTimestamp` in class `BufferCell`

#### withUpdatedTimestampAndLocalDeletionTime

    public Cell withUpdatedTimestampAndLocalDeletionTime(long newTimestamp,
                                                         int newLocalDeletionTime)

Specified by:
  `withUpdatedTimestampAndLocalDeletionTime` in interface `Cell`
Overrides:
  `withUpdatedTimestampAndLocalDeletionTime` in class `BufferCell`

#### isLive

    public boolean isLive()

Specified by:
  `isLive` in interface `Cell`
Overrides:
  `isLive` in class `AbstractCell`

#### isLive

    public boolean isLive(long now)

Specified by:
  `isLive` in interface `Cell`
Overrides:
  `isLive` in class `AbstractCell`

#### getLocalDeletionTime

    public int getLocalDeletionTime()

Specified by:
  `getLocalDeletionTime` in interface `OnDiskAtom`
Overrides:
  `getLocalDeletionTime` in class `AbstractCell`

#### reconcile

    public Cell reconcile(Cell cell)

Specified by:
  `reconcile` in interface `Cell`
Overrides:
  `reconcile` in class `AbstractCell`

#### localCopy

    public DeletedCell localCopy(CFMetaData metadata,
                                 AbstractAllocator allocator)

Specified by:
  `localCopy` in interface `Cell`
Specified by:
  `localCopy` in interface `DeletedCell`
Overrides:
  `localCopy` in class `BufferCell`

#### localCopy

    public DeletedCell localCopy(CFMetaData metadata,
                                 MemtableAllocator allocator,
                                 OpOrder.Group opGroup)

Specified by:
  `localCopy` in interface `Cell`
Specified by:
  `localCopy` in interface `DeletedCell`
Overrides:
  `localCopy` in class `BufferCell`

#### serializationFlags

    public int serializationFlags()

Specified by:
  `serializationFlags` in interface `Cell`
Overrides:
  `serializationFlags` in class `AbstractCell`

#### validateFields

    public void validateFields(CFMetaData metadata)
                        throws MarshalException

Specified by:
  `validateFields` in interface `OnDiskAtom`
Overrides:
  `validateFields` in class `AbstractCell`
Throws:
  `MarshalException`

#### updateDigest

    public void updateDigest(java.security.MessageDigest digest)

Specified by:
  `updateDigest` in interface `OnDiskAtom`
Overrides:
  `updateDigest` in class `AbstractCell`